Package org.eclipse.microprofile.lra.tck.participant.nonjaxrs

# Class InvalidAfterLRASignatureListener

java.lang.Object
org.eclipse.microprofile.lra.tck.participant.nonjaxrs.InvalidAfterLRASignatureListener

@Path("invalid-after-lra") public class InvalidAfterLRASignatureListener extends Object
TCK invalid LRA resource containing invalid signature for `@AfterLRA` method. It's used for verification of deployment time invalid signature detection and error report in `TckInvalidSignaturesTests`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`RESOURCE_PATH`
`static final String`
`START_LRA`

## Constructor Summary

Constructors
Constructor
Description
`InvalidAfterLRASignatureListener()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`doInLRA()`
`void`
`onLRAEnd(String lraId, String lraStatus)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### RESOURCE_PATH

public static final String RESOURCE_PATH

See Also:
  - Constant Field Values

### START_LRA

public static final String START_LRA

See Also:
  - Constant Field Values

## Constructor Details

### InvalidAfterLRASignatureListener

public InvalidAfterLRASignatureListener()

## Method Details

### doInLRA

@GET @Path("start-lra") public jakarta.ws.rs.core.Response doInLRA()

### onLRAEnd

public void onLRAEnd(String lraId, String lraStatus)